Bug 42571 - Installer Crashes EVERYTIME! Can't Install at all!
Summary: Installer Crashes EVERYTIME! Can't Install at all!
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-28 14:11 UTC by Timothy Ericson
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-10 14:22:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Timothy Ericson 2001-05-28 14:11:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
Whenever i try to install it it crashes at about 75% Anaconda Crashes.

How reproducible:
Always

Steps to Reproduce:
1. Install Red Hat Linux 7.1
2. It Crashes at about 75% EVERYTIME
3.
	

Actual Results:  THIS IS THE ERROR I GET:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1852, in 
doInstall
    (p, self.intf.messageWindow, pkgTimer))
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1564, in 
instCallback
    fn = self.method.getFilename(h, pkgTimer)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 87, in 
getFilename
    isys.umount("/mnt/source")
  
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 140, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I37
sS'width'
p11
I100
sS'helpCb'
p12

<failed>


Expected Results:  Should finish the installation and Red Hat Linux Should 
actully work!

Additional info:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1852, in 
doInstall
    (p, self.intf.messageWindow, pkgTimer))
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1564, in 
instCallback
    fn = self.method.getFilename(h, pkgTimer)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 87, in 
getFilename
    isys.umount("/mnt/source")
  
File "/mnt/redhat/test/qa0408.4/i386/RedHat/instimage/usr/lib/anaconda/isys
.py", line 140, in umount
    rc = _isys.umount(what)
SystemError: (16, 'Device or resource busy')

Local variables in innermost frame:
what: /mnt/source
removeDir: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I37
sS'width'
p11
I100
sS'helpCb'
p12

<failed>

Comment 1 Timothy Ericson 2001-05-28 14:14:59 UTC
Actually I think the installer version is 7.0, i think that is what it said. I 
downloaded the patch for 7.0, which was the same problem i had, and when i 
booted it up and typed linux updates i got the screen and i inserted the disk 
with the update. Then on the screen i got the same error i get when installing 
regualr at 75% on a blue screen BEFORE the installation and i can't install.

Comment 2 Brent Fox 2001-05-28 15:02:49 UTC
You must have been using 7.1.  You can tell by the traceback above:
File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py"

This is a duplicate of bug 36988.  Try booting with 'linux ide=nodma'.  Does
that help?

Comment 3 Brent Fox 2001-06-10 14:21:57 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.